Subject: grow: Formal Appeal regarding IESG decision on the GROW WG

From: David Meyer <[email-masked]>
Date: Sat, 15 Nov 2003 09:47:11 -0800

IESG,

	This note requests that the IESG review and reverse its
	decision regarding closure of the GROW working group.

	In particular, the decision, while possibly consistent
	with a strict interpretation of BCP's 9 and 25, is clearly
	outside the spirit of openness, fairness, and transparency
	that is at the core of our process. Indeed, section 3.4
	of BCP 25 states that     

	  "Disputes are possible at various stages during the IETF
           process. As much as possible the process is designed so
	   that compromises can be made, and genuine consensus
	   achieved; however, there are times when even the most
	   reasonable and knowledgeable people are unable to agree.
	   To achieve the goals of openness and fairness, such
	   conflicts must be resolved by a process of open review
	   and discussion."

	"...conflicts must be resolved by a process of open
	review and discussion." Did that happen in this
	case? Clearly not (that much is a matter of record). In
	fact, I was never notified, and the first information I
	received was on the WG mailing list. See
	http://www.uoregon.edu/~llynch/grow/msg00075.html

	In addition, based on the facts of this case, I believe
	the decision by the AD to be incorrect (one might read
	the minutes posted to the mailing list as well, or poll
	the participants). Add to all of this the fact that the
	AD was standing down in a matter of 93 minutes after the
	notice was posted, and we have a situation that is 
	outside the spirit of the IETF's Internet Standards
	Process. At the very least, these actions would seem to
	be inconsistent with goals of openness, fairness, and
	transparency codified in the cited text.   

	Clearly then, what is at stake here is much more than the
	future of the GROW working group (again, whether or not
	that group is reopened is an ancillary question). Rather,
	it would seem only reasonable that we consider having a
	procedural fallback for all the standards process
	decisions of an AD who has announced a resignation (i.e.,
	should be subject to IESG confirmation). So at the very
	least, I am making this appeal to start our thinking
	about this topic.    

	Thank you again for your time and consideration.

	Dave

____________________________________________________________
Web Archive:     http://darkwing.uoregon.edu/~llynch/grow/

---

From: Harald Tveit Alvestrand <[email-masked]>
Date: Mon, 17 Nov 2003 09:28:54 -0800

Thank you for the note.

It will be duly considered by the IESG, according to normal procedures for
an appeal against an AD's decision.

Summarizing what I think you are saying:

- What is appealed: The Ops AD's decision to close the GROW WG

- Reason for appeal: The decision was taken without open review and
discussion of the conflict that caused it, and the reasons given for
closing the WG (lack of progress related to charter, lack of productive
content in the meeting) were either not correct or not sufficient
justification

- Suggested remedy: Reverse the decision, and allow the GROW WG to continue
operating

Is that a fair summary?

(note that i am trying to be careful NOT to say anything in this note in
ANY direction about what I think about the decision - this is "me as
manager of process" only).

                     Harald

---

From: David Meyer <[email-masked]>
Date: Mon, 17 Nov 2003 12:06:38 -0800

Harald,

>> an appeal against an AD's decision.

	Thank you. 

>> content in the meeting) were either not correct or not sufficient 

	Partially correct. The one fact that we do have in this
	case is that "The decision was taken without open review
	and discussion". That much is a matter of record and has
	been stipulated by all parties.

	However, your statement suggests that there was some
	"conflict", which I can not support. The exsitence of a
	"conflict" is at best arguable, and at worst false. In
	fact, the term "conflict" is not even defined in this
	context. Further, if I take a definition from, say
	http://www.m-w.com/home.htm, I know of no "conflict"
	theory that lead to the decision. Rather, from my
	perspective, the decision was arbitrary; minimally, there
	was no discussion (i.e., "discovery phase"; again, this
	much is stipulated). As a result, I, my co-chair, or the
	WG members (and indeed, the IETF at large) can not know
	if there are facts supporting such a "conflict" theory.    

	Regarding the existence of facts to the contrary: We (the
	IETF community at large) have no way of knowing if any
	such facts exist, and if they do, what they might be, as
	(a). "The decision was taken without open review and
	discussion" (stipulated), and (b). There is no discovery
	procedure for a WG chair or other non-IESG member to
	learn if there are facts that relate to some, in this
	case undefined, conflict (that I could find; perhaps
	there is such a process, but I couldn't find any
	documentation suggesting that there was).  

	Finally, if there are facts supporting a "conflict
	theory", I suggest that they be put into the public
	record. 

>> - Suggested remedy: Reverse the decision, and allow the GROW WG to continue 

	Well, that would be reasonable first step, though not at
	all the most important issue raised here. In particular,
	there is a larger set of questions that have been raised
	here, which go directly to the oversight of an AD's
	standards process decisions after an announced
	resignation, and to the requirement, if any, for an AD to
	adhere to the BCPs putatively controlling the IETF
	Standards Process and Working Group Guidelines and
	Procedures (I say putatively, as clearly in this case,
	these documents did not control the procedure followed;
	see below).  

	So, clearly, if the IESG decision in this case stands,
	then the "case law" made is that ADs are not bound by the
	IETF Standards Process or Working Group Procedures. Such
	a decision will will have many and far reaching
	consequences. Why would this be so? Because, while it is
	my understanding (based on what I might call "folk-wisdom",
	or perhaps "case law") that an AD does have the
	prerogative to summarily shut down working group at his
	or her discretion, without consultation with any of the
	WG members or chairs, I was unable to find text that
	described this option for the AD. Quite to the contrary,
	the single fact in this case would seem to be in direct
	violation of BCP 25 (RFC 2418), section 4.  

	That is, BCP 25, section 4, when discussing Working
	Group Termination, unambiguously states:

	  "... If, at some point, it becomes evident that a
	  working group is unable to complete the work outlined
	  in the charter, or if the assumptions which that work
	  was based have been modified in discussion or by
	  experience, the Area Director, in consultation with the
	  working group can either:

          1. Recharter to refocus its tasks,
          2. Choose new Chair(s), or
          3. Disband.

	  If the working group disagrees with the Area Director's
	  choice, it may appeal to the IESG (see section 3.4)."

	The relevant text here seems to be that "...the Area
	Director, in consultation with the working group can
	either: ..." 

	Clearly, the WG was disbanded *without* "consultation
	with the working group" (again, this much is stipulated),
	and as such violates not only the spirit but the letter
	of BCP 25. Indeed, I find no text in either BCP 9 or 25
	that would suggest that the actions taken by the AD with
	respect to the GROW WG are in conformance with either the
	IETF Standards Process or Working Group Guidelines and
	Procedures. 

	Assuming my interpretation is correct, letting such a
	decision stand brings into question not only the validity
	of BCP 25, but indeed the validity of the entire BCP
	process (as documented in section 5.1 of BCP 9), and more
	generally, the Internet Standards Process (as documented
	by BCPs 9 and 25). Further, as mentioned above, it would
	also codify the fact that the ADs are not bound by any
	part of BCP 9 or 25, making them irrelevant, and by
	extension, removing documented governance of the IETF
	Standards Process and Working Group Guidelines and
	Procedures. 

	Pursuant to this line of reasoning, I ask that you
	additionally consider my request to both:

	(i).	Clarify the AD roles with respect to Working
		Group Termination as codified in Section 4 of BCP
		25, and 
	
	(ii).	As stated in my original petition, "consider
		having a procedural fallback for all the
		standards process decisions of an AD who has
		announced a resignation (i.e., should be subject
		to IESG confirmation)."  

	Both (i). and (ii). are directly relevant to the
	disposition of this case, but more importantly, go
	directly to the integrity of the IETF process in the much
	larger context.

>> Is that a fair summary?

	Yes, with the modifications I've made above.

>> manager of process" only).

	Understood.

	Thanks again for your time and consideration.

	Dave

---

From: Tony Tauber <[email-masked]>
Date: Mon, 17 Nov 2003 16:19:31 -0500 (EST)

On Mon, 17 Nov 2003, David Meyer wrote:

> 	"conflict" is at best arguable, and at worst false.

Without wanting to take up too much bandwidth, I'll add my
observations from the meeting.

During discussion of the final agenda item, the RPO (Routing Protocol
Overload) draft that Dave and a team of others had prepared, the talk
did get reasonably heated, but not beyond the pale of what I've seen
elsewhere within the IETF.  Several longstanding members of the IETF
community made comments composed with a level of dissent, sarcasm, and
vitriol which I wouldn't describe as rare.  The AD in question made at
least one comment which appeared to express some free-floating
contempt, but it was not clear to me if the target was the draft
under discussion, the other speakers, the WG or the IETF as a whole.
It was at that point that he closed with "...which is why I'm
announcing my resignation from the IESG and the IETF effective noon
tomorrow [11/14]."

To the point of Dave and others, there was no warning that I noticed,
either in the meeting or on the list, which suggested any concern on
the part of the AD with the WG's direction, progress, or lack thereof.

Since the draft which provoked the heated comments was/is not a WG
work item but was allowed on the agenda without protest; I can't
imagine how anything arising from that discussion could result in
termination of the WG.  I'm not clear that the putative reason for
termination of the WG is related to that draft or discussion, however;
the whole thing is just a mystery.

Feel free to ask any clarifying questions you might like of me.

Cheers,

Tony

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 17 Nov 2003 14:03:29 -0800

Tony,

> least one comment which appeared to express some free-floating

What was this comment ?

Yakov.